%{?nodejs_find_provides_and_requires}

%global packagename is-utf8
%global enable_tests 1

Name:		nodejs-is-utf8
Version:	0.2.1
Release:	6%{?dist}
Summary:	Detect if a buffer is utf8 encoded

License:	BSD
URL:		https://github.com/wayfind/is-utf8.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Test files aren't part of the npm package
# The 0.2.1 release isn't tagged in github, so pull the files from 'master' for now
Source1:	https://raw.githubusercontent.com/wayfind/is-utf8/master/test.js
Source2:	https://raw.githubusercontent.com/wayfind/is-utf8/master/ansi.txt
Source3:	https://raw.githubusercontent.com/wayfind/is-utf8/master/utf8.txt

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:
%endif

Requires:	nodejs

%description
Detect if a buffer is utf8 encoded.


%prep
%setup -q -n package
# copy the test files
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json is-utf8.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Feb 09 2016 Jared Smith <jsmith@fedoraproject.org> - 0.2.1-1
- Update to upstream 0.2.1 release

* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-2
- Initial packaging
